var Elegant = function(){
	return {
		prepare: function(){
			Skinbox.disableSetup();
		},
		
		init: function(){
			Skinbox.init( { storage_ns: 'elegant' } );
		},
		
		shides: function(){
			Skinbox.$store('#welcome-store .trigger-on', 'welcome_trigger_on');
			Skinbox.$store('#welcome-store .trigger-off', 'welcome_trigger_off');
			Skinbox.$store('#shide-trigger', 'welcome_trigger');
			
			Skinbox.shide( {
				ns: 'welcome',
				element: '.welcome_right > div:not(.hideit, .clear) > *',
				trigger: '.welcome_right .hideit',
				callback: function($, opts, visible){
					if( visible )
					{
						Skinbox.$switch('welcome_trigger', 'welcome_trigger_off', 'welcome_trigger_on');
					}
					else
					{
						Skinbox.$switch('welcome_trigger', 'welcome_trigger_on', 'welcome_trigger_off');
					}
				}
			} );
		},
	
		dropdowns: function(){
			Skinbox.dropdown( {
				element: '#dropdown_1'
			} );
		}
	};
}();

Elegant.prepare();

Skinbox.ready( [
	Elegant.init,
	Skinbox.topLink,
	Skinbox.loginBox,
	Skinbox.creditsBox,
	Elegant.shides,
	Elegant.dropdowns
] );